Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000997TestLinkTest Executepublic2007-08-27 18:062009-02-13 18:59
Reporterramesh 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWINDOWSOS Version2000
Product Version1.7.0 RC 3 
Fixed in Version1.7.5 
Summary0000997: REPORTS - Pass / Fail and Test Notes fields are empty .
DescriptionAfter adding testcases to the test plan,assigning user and executing the test cases,if the link "Print Test Plan" is selected to show test plan in HTML/MS word format by checking all the options, then, Pass/Fail and Test Notes fields are shown empty in the printed test plan.
Steps To Reproduce1)Specify Requirements and Create requirements.
2)Assign test cases to the requirements.
3)Create test plan and Build.
3)Add test cases to the Test plan and assign test cases execution.
4)Execute tests.
5)Print Test plan by checking all the options at the left navigator.
   Observe the Test report it will not show the status of Test case Pass/Fail and test notes(Font color is Blue).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesdoc file icon testplan.doc [^] (4,388 bytes) 2007-08-27 18:06
? file icon print.inc.php [^] (10,628 bytes) 2008-02-21 16:36

- Relationships
has duplicate 0001429closedmhavlat 'Pass/Fail' and 'Notes' fields are empty in 'Print Test Plan' Report 
has duplicate 0001478closedmhavlat Modified print.inc.php for including Pass/Fail and Notes does not pick up test cases beyond version 1 
has duplicate 0001024closedmhavlat Test status Pass/Fail Feature in print test plan 
has duplicate 0001683closedmhavlat Print Test Cases 
related to 0001465closedmhavlat Try to show Test Plan with print option pass/fail set on cause an error 

-  Notes
(0002371)
mhavlat (reporter)
2007-10-13 04:10

A developer doesn't try to add values for prepared parameters. Wait for fix or disable functionality.
(0002737)
rfan (reporter)
2007-11-30 05:17

This feature is really important.

Can you also include the option to display the "Custom Field(s)" in the "Print Test Plan" page besides the "Pass/Fail" and "Test Notes"?
(0002743)
fman (administrator)
2007-11-30 18:24

Please do not add other request on one issue.

1. Search mantis for similar requests
2. if not found open new one
(0002898)
sdm (reporter)
2008-01-11 15:13

This is still the case in TL1.7.3, when will it be fixed?

It's really important for me.
(0002899)
fman (administrator)
2008-01-11 15:36

1. Please use a different mode/tone when asking for help.
2. this issue is just a month old
(0002901)
sdm (reporter)
2008-01-11 15:44

It's just a question, nothing more.
(0003315)
sdm (reporter)
2008-02-21 16:37

Here's my quick-n-dirty fix. (see attached files: print.inc.php).

My changes are commented with SDM.
(0003316)
mhavlat (reporter)
2008-02-21 19:20

Thank you for remind us this issue. I will look at.
(0003367)
karimayubar (reporter)
2008-03-12 08:20
edited on: 2008-03-12 08:21

hi, the quick fix by sdm works on TL 1.7.4. fyi.

(0003461)
mhavlat (reporter)
2008-04-19 03:36

I clarified and add the patch into 1.7.5 code.
It remains to add into HEAD.
(0003643)
mhavlat (reporter)
2008-05-27 16:28

Fix added also on HEAD.

- Issue History
Date Modified Username Field Change
2007-08-27 18:06 ramesh New Issue
2007-08-27 18:06 ramesh File Added: testplan.doc
2007-10-13 04:10 mhavlat Note Added: 0002371
2007-10-13 04:10 mhavlat Status new => confirmed
2007-11-30 05:17 rfan Note Added: 0002737
2007-11-30 18:24 fman Note Added: 0002743
2008-01-11 15:13 sdm Note Added: 0002898
2008-01-11 15:36 fman Note Added: 0002899
2008-01-11 15:44 sdm Note Added: 0002901
2008-01-11 17:57 fman Summary Pass / Fail and Test Notes fields are empty . => REPORTS - Pass / Fail and Test Notes fields are empty .
2008-02-21 16:36 sdm File Added: print.inc.php
2008-02-21 16:37 sdm Note Added: 0003315
2008-02-21 19:20 mhavlat Status confirmed => assigned
2008-02-21 19:20 mhavlat Assigned To => mhavlat
2008-02-21 19:20 mhavlat Note Added: 0003316
2008-03-11 15:46 mhavlat Relationship added has duplicate 0001429
2008-03-12 08:20 karimayubar Note Added: 0003367
2008-03-12 08:21 karimayubar Note Edited: 0003367
2008-04-08 21:33 mhavlat Relationship added related to 0001465
2008-04-19 03:36 mhavlat Note Added: 0003461
2008-04-23 21:12 mhavlat Relationship added has duplicate 0001478
2008-05-27 16:28 mhavlat Note Added: 0003643
2008-05-27 16:28 mhavlat Status assigned => resolved
2008-05-27 16:28 mhavlat Fixed in Version => next hot-fix (1.7.5)
2008-05-27 16:28 mhavlat Resolution open => fixed
2008-07-10 14:55 mhavlat Relationship added has duplicate 0001024
2008-08-27 03:10 mhavlat Relationship added has duplicate 0001683
2009-02-13 18:59 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker